.inputplace {
    position: relative;
}

.inputcalc {
    width: calc(100% - 20px);
    width: 100%;
    height: 100px;
}

#result {
    width: 100%;
    height: 100%;
    resize: none;
    border-radius: 0 8px 0 8px;
    font-family: 'ConsolasF', sans-serif;
    font: 'ConsolasF';
    margin: 0;
    padding: 0;
}

.restochno {
    background-color: ;
}

.resbox {
    overflow-y: auto;
    height: 100px;
    width: 25%
}

.inputup {
    position: relative;
    z-index: 1;
    border-radius: 8px;
}

.inputdown {
    left: 10px;
    position: absolute;
    bottom: 10px;
    z-index: 2; /* Поверх inputup */

    display: flex;
    flex-direction: row;
    align-items: flex-end;
    justify-content: flex-start;
    gap: 10px;
}

.inputright {
    bottom: 10px;
    right: 10px;
    position: absolute;
    z-index: 3; /* Поверх inputup */

    display: flex;
    flex-direction: row;
    align-items: flex-end;
    justify-content: flex-end;
    gap: 10px;

    background-color: #00000050;
    padding: 10px;
    border-radius: 8px;
    min-height: 25px;
}

#clin {
    white-space: pre-wrap; /* сохраняет пробелы и переносы */
    overflow-wrap: break-word; /* перенос слов при необходимости */
    word-wrap: break-word; /* старый вариант для совместимости */
    resize: none;
    border-radius: 8px;
    font-family: 'ConsolasF', sans-serif;
    font-size: 2rem;
}

.systemplace {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-evenly;
    gap: 5px;
    padding: 5px;
}

.btn.bsys {
    border-radius: var(--brr);
    border: none;
    width: 100%;
    transition: background 0.3s ease;
}

#result {
    font-size: 3rem;
}

    .inputcalc {
        height: 100%;
        width: 75%
    }

    .resbox {
        height: 100%;
        width: 25%;
    }

@media (orientation: landscape) {

    .upper {
        width: 50%;
        height: calc(100% - 18px );
        padding: 0 1rem 0 0;
    }

    .buttonsplace {
        width: 50%;
        height: calc(100% - 18px );
        height: 100%;
    }

    .inputplace {
        height: calc(100% - 18px );
    }

    .inputup {
        height: 100%;
        display: flex;
        flex-direction: row;
    }

    .inputcalc {
        height: calc(100% - 18px );
    }

    .resbox {
        height: calc(100% - 18px );
    }

}

.btn.bcalc.opeb {
    font-size: 100%;
}